com.clarkware.junitperf

## Class TestMethodFactory

- java.lang.Object
- - com.clarkware.junitperf.TestFactory
  - - com.clarkware.junitperf.TestMethodFactory

    public class TestMethodFactory
    extends TestFactory

The `TestMethodFactory` class is a `TestFactory` that creates thread-local `TestSuite` instances containing a specific test method of a `TestCase`.

A typical usage scenario is as follows:

>      Test factory = new TestMethodFactory(YourTestCase.class, "testSomething");
>      LoadTest test = new LoadTest(factory, numberOfUsers, ...);
>      ...

Author:
  Mike Clark, Clarkware Consulting, Inc.
See Also:
  `TestFactory`, `LoadTest`

### Field Summary

### Fields inherited from class com.clarkware.junitperf.TestFactory

`testClass`

### Constructor Summary

Constructors
Constructor and Description
`TestMethodFactory(java.lang.Class testClass, java.lang.String testMethodName)` Constructs a `TestMethodFactory` instance.

### Method Summary

Methods
`protected TestSuite` `makeTestSuite()`

### Methods inherited from class com.clarkware.junitperf.TestFactory

`countTestCases, getTest, getTestSuite, run, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestMethodFactory

    public TestMethodFactory(java.lang.Class testClass,
                     java.lang.String testMethodName)

Constructs a `TestMethodFactory` instance.

Parameters:
  `testClass` - The `TestCase` class to load test.
  `testMethodName` - The name of the test method to load test.

### Method Detail

#### makeTestSuite

    protected TestSuite makeTestSuite()

Overrides:
  `makeTestSuite` in class `TestFactory`